# DataExchange
TKSTEPBase
StepShape

# StepShape_ShapeRepresentationWithParameters Class Reference

Representation of STEP entity ShapeRepresentationWithParameters
.

`#include <StepShape_ShapeRepresentationWithParameters.hxx>`

Inheritance diagram for StepShape_ShapeRepresentationWithParameters:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_ShapeRepresentationWithParameters ()
| Empty constructor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ShapeRepresentationWithParameters::StepShape_ShapeRepresentationWithParameters | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_ShapeRepresentationWithParameters::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_ShapeRepresentation.

The documentation for this class was generated from the following file:

- StepShape_ShapeRepresentationWithParameters.hxx